// Code generated by sqlc. DO NOT EDIT.
// versions:
//   sqlc v1.22.0

package generated

import (
	"database/sql"
	"time"

	"github.com/google/uuid"
)

type DigilabDemoFbsAssessment struct {
	ID                uuid.UUID
	InternalID        int32
	TariffID          uuid.UUID
	DecisionID        uuid.UUID
	WozObjectID       uuid.UUID
	OwnerType         string
	OwnerID           uuid.UUID
	OwnerLabel        string
	OwnerAddressID    uuid.UUID
	OwnerAddressLine1 string
	OwnerAddressLine2 string
	WozAddressID      uuid.UUID
	WozAddressLine1   string
	WozAddressLine2   string
	WozAmount         int32
	RegisteredPeople  int32
	CreatedAt         time.Time
	EffectiveAt       time.Time
}

type DigilabDemoFbsDecision struct {
	ID          uuid.UUID
	RunID       uuid.UUID
	WozObjectID uuid.UUID
	Amount      int32
	CreatedAt   sql.NullTime
}

type DigilabDemoFbsRun struct {
	ID         uuid.UUID
	InternalID int32
	Year       int32
	CreatedAt  time.Time
	Status     int32
}

type DigilabDemoFbsTariff struct {
	ID                             uuid.UUID
	RunID                          uuid.UUID
	Municipality                   string
	PropertyTaxOwnerResidential    float64
	PropertyTaxOwnerNonResidential float64
	PropertyTaxUsageNonResidential float64
	SewerageTax                    float64
	WasteTaxOnePersonHousehold     float64
	WasteTaxMultiPersonHousehold   float64
}

type DigilabDemoFbsTaxBill struct {
	ID         uuid.UUID
	InternalID int32
	RunID      uuid.UUID
	OwnerType  string
	OwnerID    uuid.UUID
	OwnerLabel string
	CreatedAt  time.Time
}

type DigilabDemoFbsTaxBillAssessment struct {
	TaxBillID    uuid.UUID
	AssessmentID uuid.UUID
}
